<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="belegkopfdaten" pageWidth="260" pageHeight="842" whenNoDataType="AllSectionsNoDetail" columnWidth="260" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="c88e1105-4671-4c8f-971b-6ff6e0723442">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.9965000000000006"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="Belegart" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[]]></parameterDescription>
	</parameter>
	<parameter name="Belegart_kbez" class="java.lang.String">
		<parameterDescription><![CDATA[Die Kurzkennung des Beleges z.B. RE für Rechnung]]></parameterDescription>
	</parameter>
	<queryString>
		<![CDATA[]]>
	</queryString>
	<field name="Art" class="java.lang.String">
		<fieldDescription><![CDATA[Art: Definiert wie es zu drucken ist
Line = Linie drucken
L2 = Links das Lable und dann der Inhalt, z.B. Nummer im F1 und dann im F2 die Rechnungsnummer]]></fieldDescription>
	</field>
	<field name="F1" class="java.lang.String">
		<fieldDescription><![CDATA[Field1 der Zeile]]></fieldDescription>
	</field>
	<field name="F2" class="java.lang.String">
		<fieldDescription><![CDATA[Field2 der Zeile]]></fieldDescription>
	</field>
	<field name="F3" class="java.lang.String">
		<fieldDescription><![CDATA[Field3 der Zeile]]></fieldDescription>
	</field>
	<field name="F4" class="java.lang.String">
		<fieldDescription><![CDATA[Field4 der Zeile]]></fieldDescription>
	</field>
	<variable name="Trennlinie" class="java.lang.Boolean" resetType="None">
		<variableExpression><![CDATA[true]]></variableExpression>
	</variable>
	<title>
		<band height="16">
			<rectangle>
				<reportElement x="0" y="0" width="260" height="16" forecolor="#CCCCCC" backcolor="#CCCCCC" uuid="7878ef1f-6fa8-404c-b3af-ffec39949e4c"/>
			</rectangle>
			<line>
				<reportElement x="0" y="0" width="260" height="1" uuid="1ccf22c6-558f-43dd-b1e2-2d04613e43f3"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Belegart" mode="Transparent" x="5" y="2" width="255" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="fd194d74-7d09-47b3-b3b1-04c4e6877382"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{Belegart}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="0" y="15" width="260" height="1" uuid="f882817b-7579-4c2f-9b7b-13832a0dba85">
					<printWhenExpression><![CDATA[$V{Trennlinie}]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement x="0" y="0" width="1" height="16" uuid="2e8a6618-60a4-4c13-85d9-56535bebcaee"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement x="259" y="0" width="1" height="16" uuid="6f919ad4-b7ac-4462-bad4-6405207949c3"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
		</band>
	</title>
	<pageHeader>
		<band height="19" splitType="Stretch">
			<printWhenExpression><![CDATA[false]]></printWhenExpression>
			<staticText>
				<reportElement key="Art" mode="Transparent" x="270" y="8" width="40" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="68c8e6d8-ca88-4418-a74a-2d6568b3ab9f">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Art]]></text>
			</staticText>
			<staticText>
				<reportElement key="Field1" mode="Transparent" x="5" y="8" width="70" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="8a718553-5844-42ec-840d-ab578d3964c6"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[F1]]></text>
			</staticText>
			<line>
				<reportElement key="line-2" mode="Opaque" x="0" y="18" width="260" height="1" forecolor="#000000" backcolor="#FFFFFF" uuid="2f3d085b-ae9a-4409-aa2d-009cf0c022b3">
					<printWhenExpression><![CDATA[$V{Trennlinie}]]></printWhenExpression>
				</reportElement>
				<graphicElement fill="Solid">
					<pen lineWidth="0.5" lineStyle="Solid"/>
				</graphicElement>
			</line>
		</band>
	</pageHeader>
	<detail>
		<band height="16" splitType="Stretch">
			<printWhenExpression><![CDATA[/* $F{Art}.startsWith("Links1") = Überschrift
$F{Art}.startsWith("Links2") = zwei Felder Lable, Inhalt volle Breite
$F{Art}.startsWith("Links4") = vier Felder und höher, weil nur Nummer
$F{Art}.startsWith("Linie") = dunklere Linie
$F{Art}.startsWith("Nicht") = nicht drucken, weil
*/
$F{Art}.startsWith("Links4") &&
$F{F2} != null]]></printWhenExpression>
			<textField>
				<reportElement key="Art" mode="Transparent" x="270" y="0" width="40" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="7d09836a-e570-4c97-ae82-3ff5138c4c15">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Art}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false">
				<reportElement key="Field1" mode="Transparent" x="5" y="0" width="70" height="16" forecolor="#000000" backcolor="#FFFFFF" uuid="c2fb35e2-0bef-4c8f-96a9-41073a8a4977"/>
				<textElement textAlignment="Left" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="12" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F1}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false">
				<reportElement key="Field2" mode="Transparent" x="75" y="0" width="100" height="16" forecolor="#000000" backcolor="#FFFFFF" uuid="10679faa-2e9a-4664-a4b6-dac761a2e1ae">
					<printWhenExpression><![CDATA[$F{F2} != null && $F{F2}.trim().length()>0]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="12" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[($P{Belegart_kbez}==null?"":$P{Belegart_kbez}+" ")+$F{F2}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="Field3" mode="Transparent" x="175" y="0" width="30" height="16" forecolor="#000000" backcolor="#FFFFFF" uuid="7f255037-be29-445a-8c3f-b2742929f48c"/>
				<textElement textAlignment="Left" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F3}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="Field4" mode="Transparent" x="205" y="0" width="60" height="16" forecolor="#000000" backcolor="#FFFFFF" uuid="b607bd0c-0854-465b-b97c-9146de591be1"/>
				<textElement textAlignment="Left" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F4}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement stretchType="RelativeToBandHeight" x="259" y="0" width="1" height="16" uuid="ebc76056-f44e-4408-bef6-9dc7bd445232"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement stretchType="RelativeToBandHeight" x="0" y="0" width="1" height="16" uuid="711003d5-37c7-4f49-a0b1-5deba6cfcf4b"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
		</band>
		<band height="1">
			<printWhenExpression><![CDATA[$F{Art}.startsWith("Linie") && $V{Trennlinie}]]></printWhenExpression>
			<line>
				<reportElement x="0" y="0" width="260" height="1" uuid="895df151-881f-4797-9bd9-e230b87a4ac8">
					<printWhenExpression><![CDATA[$V{Trennlinie}]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
		</band>
		<band height="10">
			<printWhenExpression><![CDATA[$F{Art}.startsWith("Links2") &&
$F{F2} != null && $F{F2}.trim().length()>0]]></printWhenExpression>
			<textField>
				<reportElement key="Art" mode="Transparent" x="270" y="0" width="40" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="b7c360ea-6972-43d2-9d69-0a5d4b8afd23">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Art}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement key="Field1" mode="Transparent" x="5" y="0" width="70" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="69afbcc2-87b5-4d30-bb3d-3b55a8ed419b"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F1}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="Field2" mode="Transparent" x="75" y="0" width="185" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="35b6312f-6661-4516-afaf-016e814d1c39">
					<printWhenExpression><![CDATA[!($F{F1}.startsWith("Telefon") || $F{F1}.startsWith("phone") )]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F2}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="false">
				<reportElement key="Field2, Telefon" mode="Transparent" x="75" y="0" width="185" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="abee0494-768c-43c1-a035-09e2a83df00d">
					<printWhenExpression><![CDATA[($F{F1}.startsWith("Telefon") || $F{F1}.startsWith("phone") )
&& $F{F2} != null &&
$F{F2}.trim().lastIndexOf( "-" ) > 1]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F2}.trim().lastIndexOf( "-" ) == $F{F2}.trim().length()-1 ?
$F{F2}.substring(0,$F{F2}.trim().length()-1) :
$F{F2}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement stretchType="RelativeToBandHeight" x="259" y="0" width="1" height="10" uuid="f4f38802-4e15-4847-8d3b-63d632587227"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement stretchType="RelativeToBandHeight" x="0" y="0" width="1" height="10" uuid="8dafce93-bcf3-4bb0-b76c-a98531b39f57"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
		</band>
		<band height="10">
			<printWhenExpression><![CDATA[$F{Art}.startsWith("Links1")]]></printWhenExpression>
			<textField>
				<reportElement key="Art" mode="Transparent" x="270" y="0" width="40" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="b4e04b8e-c5dd-4e74-9a3f-24b635b93b8a">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Art}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement key="Field1" mode="Transparent" x="5" y="0" width="260" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="2c97faed-e894-434f-9a25-39a0d88cf8ca"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F1}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement stretchType="RelativeToBandHeight" x="259" y="0" width="1" height="10" uuid="e16ea876-9914-4338-9296-4cd6c9d4fb04"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement stretchType="RelativeToBandHeight" x="0" y="0" width="1" height="10" uuid="ce242e79-05a0-478e-a8f9-1fcfffa12d99"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
		</band>
	</detail>
	<summary>
		<band height="1">
			<line>
				<reportElement x="0" y="0" width="260" height="1" uuid="bd930e01-c20a-41d2-8c75-fc41be1ec760"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
		</band>
	</summary>
</jasperReport>
